#include <iostream>
#include <math.h>

using namespace std;

int main()
{
    int x, y, broj=0, tx, ty, i=0;
    cin >> x >> y;
    while(x!=0 || y!=0){
        tx=x%10;
        ty=y%10;
        if(tx>ty){
            broj+=tx*pow(10, i++);
        }
        else if(ty>tx){
            broj+=ty*pow(10, i++);
        }
        else if(ty==tx){
            broj+=tx*pow(10, i++);
            broj+=ty*pow(10, i++);
        }
        x=x/10;
        y=y/10;
    }
    cout<<broj;
}